/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPERF_LEADER_BPF_SKEL_H__
#define __BPERF_LEADER_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bperf_leader_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *events;
		struct bpf_map *prev_readings;
		struct bpf_map *diff_readings;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *on_switch;
	} progs;
	struct {
		struct bpf_link *on_switch;
	} links;
	struct bperf_leader_bpf__rodata {
		char bpf_metadata_perf_version[50];
	} *rodata;

#ifdef __cplusplus
	static inline struct bperf_leader_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bperf_leader_bpf *open_and_load();
	static inline int load(struct bperf_leader_bpf *skel);
	static inline int attach(struct bperf_leader_bpf *skel);
	static inline void detach(struct bperf_leader_bpf *skel);
	static inline void destroy(struct bperf_leader_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bperf_leader_bpf__destroy(struct bperf_leader_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bperf_leader_bpf__create_skeleton(struct bperf_leader_bpf *obj);

static inline struct bperf_leader_bpf *
bperf_leader_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bperf_leader_bpf *obj;
	int err;

	obj = (struct bperf_leader_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bperf_leader_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bperf_leader_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bperf_leader_bpf *
bperf_leader_bpf__open(void)
{
	return bperf_leader_bpf__open_opts(NULL);
}

static inline int
bperf_leader_bpf__load(struct bperf_leader_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bperf_leader_bpf *
bperf_leader_bpf__open_and_load(void)
{
	struct bperf_leader_bpf *obj;
	int err;

	obj = bperf_leader_bpf__open();
	if (!obj)
		return NULL;
	err = bperf_leader_bpf__load(obj);
	if (err) {
		bperf_leader_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bperf_leader_bpf__attach(struct bperf_leader_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bperf_leader_bpf__detach(struct bperf_leader_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bperf_leader_bpf__elf_bytes(size_t *sz);

static inline int
bperf_leader_bpf__create_skeleton(struct bperf_leader_bpf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bperf_leader_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "events";
	map->map = &obj->maps.events;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "prev_readings";
	map->map = &obj->maps.prev_readings;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "diff_readings";
	map->map = &obj->maps.diff_readings;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "bperf_le.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "on_switch";
	s->progs[0].prog = &obj->progs.on_switch;
	s->progs[0].link = &obj->links.on_switch;

	s->data = bperf_leader_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bperf_leader_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\x1d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1c\0\
\x01\0\x85\0\0\0\x08\0\0\0\xbc\x08\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xe4\
\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe4\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x21\0\0\0\0\
\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x1a\0\0\0\0\0\xbc\x82\
\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb4\x04\0\0\x18\0\0\0\x85\0\0\0\x37\0\0\0\x55\0\x12\0\0\0\0\
\0\x79\x61\0\0\0\0\0\0\x79\xa2\xe8\xff\0\0\0\0\x1f\x12\0\0\0\0\0\0\x7b\x27\0\0\
\0\0\0\0\x79\x61\x08\0\0\0\0\0\x79\xa2\xf0\xff\0\0\0\0\x1f\x12\0\0\0\0\0\0\x7b\
\x27\x08\0\0\0\0\0\x79\x61\x10\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x1f\x12\0\0\0\
\0\0\0\x7b\x27\x10\0\0\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x7b\x16\x10\0\0\0\0\0\x79\
\xa1\xf0\xff\0\0\0\0\x7b\x16\x08\0\0\0\0\0\x79\xa1\xe8\xff\0\0\0\0\x7b\x16\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x36\x2e\x31\x36\x2e\x30\x2d\x30\
\x2e\x30\x2e\x6e\x65\x78\x74\x2e\x32\x30\x32\x35\x30\x37\x31\x36\x2e\x32\x35\
\x33\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x34\x32\x2e\x70\x70\x63\x36\
\x34\x6c\x65\0\x44\x75\x61\x6c\x20\x42\x53\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x05\0\x08\0\x04\0\0\0\x10\0\0\0\x17\0\0\0\
\x1e\0\0\0\x26\0\0\0\x04\x10\xe0\x02\x01\x58\0\x04\x50\xe0\x02\x01\x56\0\x04\
\x88\x01\xe0\x02\x01\x57\0\x04\xc8\x01\xe0\x02\x01\x50\0\x01\x11\x01\x25\x25\
\x13\x05\x03\x25\x72\x17\x10\x17\x1b\x25\x11\x1b\x12\x06\x73\x17\x8c\x01\x17\0\
\0\x02\x34\0\x03\x25\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x01\x01\
\x49\x13\0\0\x04\x21\0\x49\x13\x37\x0b\0\0\x05\x26\0\x49\x13\0\0\x06\x24\0\x03\
\x25\x3e\x0b\x0b\x0b\0\0\x07\x24\0\x03\x25\x0b\x0b\x3e\x0b\0\0\x08\x13\x01\x0b\
\x0b\x3a\x0b\x3b\x0b\0\0\x09\x0d\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\
\x0a\x0f\0\x49\x13\0\0\x0b\x21\0\x49\x13\x37\x05\0\0\x0c\x34\0\x03\x25\x49\x13\
\x3a\x0b\x3b\x0b\0\0\x0d\x15\0\x49\x13\x27\x19\0\0\x0e\x16\0\x49\x13\x03\x25\
\x3a\x0b\x3b\x0b\0\0\x0f\x15\x01\x49\x13\x27\x19\0\0\x10\x05\0\x49\x13\0\0\x11\
\x0f\0\0\0\x12\x26\0\0\0\x13\x34\0\x03\x25\x49\x13\x3a\x0b\x3b\x05\0\0\x14\x13\
\x01\x03\x25\x0b\x0b\x3a\x0b\x3b\x05\0\0\x15\x0d\0\x03\x25\x49\x13\x3a\x0b\x3b\
\x05\x38\x0b\0\0\x16\x2e\x01\x03\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x20\x21\
\x01\0\0\x17\x05\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x18\x34\0\x03\x25\x3a\
\x0b\x3b\x0b\x49\x13\0\0\x19\x2e\x01\x11\x1b\x12\x06\x40\x18\x7a\x19\x03\x25\
\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x1a\x1d\x01\x31\x13\x11\x1b\x12\
\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x1b\x34\0\x02\x18\x31\x13\0\0\x1c\x34\0\x02\
\x22\x31\x13\0\0\0\x9c\x02\0\0\x05\0\x01\x08\0\0\0\0\x01\0\x1d\0\x01\x08\0\0\0\
\0\0\0\0\x02\x05\x70\x01\0\0\x08\0\0\0\x0c\0\0\0\x02\x03\x32\0\0\0\x01\x0f\x02\
\xa1\0\x03\x3e\0\0\0\x04\x47\0\0\0\x32\0\x05\x43\0\0\0\x06\x04\x06\x01\x07\x05\
\x08\x07\x02\x06\x56\0\0\0\0\x37\x02\xa1\x01\x03\x43\0\0\0\x04\x47\0\0\0\x0d\0\
\x02\x07\x6d\0\0\0\0\x0c\x02\xa1\x02\x08\x20\0\x07\x09\x08\x96\0\0\0\0\x08\0\
\x09\x0a\x96\0\0\0\0\x09\x08\x09\x0b\x96\0\0\0\0\x0a\x10\x09\x0c\xab\0\0\0\0\
\x0b\x18\0\x0a\x9b\0\0\0\x03\xa7\0\0\0\x04\x47\0\0\0\x04\0\x06\x09\x05\x04\x0a\
\xb0\0\0\0\x03\xa7\0\0\0\x0b\x47\0\0\0\0\x08\0\x02\x0d\xc8\0\0\0\0\x13\x02\xa1\
\x03\x08\x20\0\x0e\x09\x08\xf1\0\0\0\0\x0f\0\x09\x0a\x96\0\0\0\0\x10\x08\x09\
\x0b\x02\x01\0\0\0\x11\x10\x09\x0e\x13\x01\0\0\0\x12\x18\0\x0a\xf6\0\0\0\x03\
\xa7\0\0\0\x04\x47\0\0\0\x06\0\x0a\x07\x01\0\0\x03\xa7\0\0\0\x04\x47\0\0\0\x18\
\0\x0a\x18\x01\0\0\x03\xa7\0\0\0\x04\x47\0\0\0\x01\0\x02\x0f\x2f\x01\0\0\0\x1a\
\x02\xa1\x04\x08\x20\0\x15\x09\x08\xf1\0\0\0\0\x16\0\x09\x0a\x96\0\0\0\0\x17\
\x08\x09\x0b\x02\x01\0\0\0\x18\x10\x09\x0e\x13\x01\0\0\0\x19\x18\0\x0c\x10\x60\
\x01\0\0\x03\xd6\x05\x65\x01\0\0\x0a\x6a\x01\0\0\x0d\x6f\x01\0\0\x0e\x77\x01\0\
\0\x12\x02\x1b\x06\x11\x07\x04\x0c\x13\x83\x01\0\0\x03\x40\x05\x88\x01\0\0\x0a\
\x8d\x01\0\0\x0f\x9d\x01\0\0\x10\x9d\x01\0\0\x10\x9e\x01\0\0\0\x11\x0a\xa3\x01\
\0\0\x12\x13\x14\xad\x01\0\0\x03\xb2\x05\x05\xb2\x01\0\0\x0a\xb7\x01\0\0\x0f\
\xd1\x01\0\0\x10\x9d\x01\0\0\x10\xd5\x01\0\0\x10\xe1\x01\0\0\x10\x6f\x01\0\0\0\
\x06\x15\x05\x08\x0e\xdd\x01\0\0\x17\x02\x1f\x06\x16\x07\x08\x0a\xe6\x01\0\0\
\x14\x1b\x18\x04\x1f\x1c\x15\x18\xd5\x01\0\0\x04\x20\x1c\0\x15\x19\xd5\x01\0\0\
\x04\x21\x1c\x08\x15\x1a\xd5\x01\0\0\x04\x22\x1c\x10\0\x16\x1c\0\x1d\xa7\0\0\0\
\x17\x1d\0\x1d\x4c\x02\0\0\x18\x1e\0\x1f\xe6\x01\0\0\x18\x1f\0\x21\x6f\x01\0\0\
\x18\x20\0\x20\x6f\x01\0\0\x18\x21\0\x1f\xe1\x01\0\0\x18\x22\0\x1f\xe1\x01\0\0\
\x18\x23\0\x22\xd1\x01\0\0\0\x0a\xdd\x01\0\0\x19\x05\x70\x01\0\0\x01\x5a\x24\0\
\x1d\xa7\0\0\0\x17\x1d\0\x1d\x4c\x02\0\0\x1a\x0b\x02\0\0\x05\x60\x01\0\0\0\x1d\
\x05\x1b\x02\x91\x08\x1b\x02\0\0\x1b\x02\x91\x04\x23\x02\0\0\x1c\0\x2b\x02\0\0\
\x1c\x01\x33\x02\0\0\x1c\x02\x3b\x02\0\0\x1c\x03\x43\x02\0\0\0\0\0\x98\0\0\0\
\x05\0\0\0\0\0\0\0\x2c\0\0\0\x4d\0\0\0\xcf\0\0\0\xe9\0\0\0\xee\0\0\0\x02\x01\0\
\0\x0a\x01\0\0\x11\x01\0\0\x16\x01\0\0\x1a\x01\0\0\x23\x01\0\0\x2e\x01\0\0\x38\
\x01\0\0\x46\x01\0\0\x52\x01\0\0\x60\x01\0\0\x79\x01\0\0\x86\x01\0\0\x8c\x01\0\
\0\xa0\x01\0\0\xba\x01\0\0\xbf\x01\0\0\xd2\x01\0\0\xd8\x01\0\0\xe0\x01\0\0\xe8\
\x01\0\0\xf0\x01\0\0\x05\x02\0\0\x13\x02\0\0\x17\x02\0\0\x1b\x02\0\0\x20\x02\0\
\0\x24\x02\0\0\x2d\x02\0\0\x36\x02\0\0\x3a\x02\0\0\x63\x6c\x61\x6e\x67\x20\x76\
\x65\x72\x73\x69\x6f\x6e\x20\x32\x30\x2e\x31\x2e\x38\x20\x28\x46\x65\x64\x6f\
\x72\x61\x20\x32\x30\x2e\x31\x2e\x38\x2d\x31\x2e\x66\x63\x34\x32\x29\0\x75\x74\
\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x6c\
\x65\x61\x64\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x36\x2e\x30\x2d\x62\x75\x69\x6c\x64\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x6e\x65\x78\x74\x2d\x32\x30\x32\x35\x30\x37\x31\x36\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x36\x2e\x30\x2d\x30\x2e\x30\x2e\x6e\x65\x78\x74\
\x2e\x32\x30\x32\x35\x30\x37\x31\x36\x2e\x32\x35\x33\x2e\x76\x61\x6e\x69\x6c\
\x6c\x61\x2e\x66\x63\x34\x32\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x70\x65\x72\x66\0\x62\x70\x66\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\
\x5f\x70\x65\x72\x66\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x4c\
\x49\x43\x45\x4e\x53\x45\0\x65\x76\x65\x6e\x74\x73\0\x74\x79\x70\x65\0\x69\x6e\
\x74\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x70\x72\x65\x76\x5f\x72\x65\x61\
\x64\x69\x6e\x67\x73\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x64\x69\
\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\0\x62\x70\x66\x5f\
\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x72\x65\x61\x64\x5f\x76\x61\x6c\
\x75\x65\0\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x36\x34\0\x63\x6f\x75\x6e\x74\x65\x72\0\
\x65\x6e\x61\x62\x6c\x65\x64\0\x72\x75\x6e\x6e\x69\x6e\x67\0\x62\x70\x66\x5f\
\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x76\x61\x6c\x75\x65\0\x5f\x5f\x5f\
\x5f\x6f\x6e\x5f\x73\x77\x69\x74\x63\x68\0\x63\x74\x78\0\x76\x61\x6c\0\x7a\x65\
\x72\x6f\0\x6b\x65\x79\0\x70\x72\x65\x76\x5f\x76\x61\x6c\0\x64\x69\x66\x66\x5f\
\x76\x61\x6c\0\x65\x72\x72\0\x6f\x6e\x5f\x73\x77\x69\x74\x63\x68\0\x34\0\0\0\
\x05\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc0\x02\0\0\
\xc0\x02\0\0\x63\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\x05\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x08\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x27\0\0\0\x01\0\0\0\x80\0\
\0\0\x32\0\0\0\x05\0\0\0\xc0\0\0\0\x3c\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x18\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\
\0\0\0\x01\0\0\0\x40\0\0\0\x27\0\0\0\x0b\0\0\0\x80\0\0\0\x43\0\0\0\x0d\0\0\0\
\xc0\0\0\0\x4f\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x27\0\0\0\x0b\0\0\
\0\x80\0\0\0\x43\0\0\0\x0d\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\x6b\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\
\0\x01\0\0\x0d\x02\0\0\0\x7e\0\0\0\x13\0\0\0\x82\0\0\0\x01\0\0\x0c\x15\0\0\0\0\
\0\0\0\0\0\0\x0a\x18\0\0\0\x26\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x17\0\0\0\x04\0\0\0\x32\0\0\0\x2b\x03\0\0\0\0\0\x0e\x19\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x0d\0\0\0\x45\x03\0\
\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x4d\x03\0\0\x03\0\0\x0f\0\0\0\0\x08\0\0\0\0\0\
\0\0\x20\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\x12\0\0\0\0\0\0\0\x20\0\0\0\x53\x03\
\0\0\x01\0\0\x0f\0\0\0\0\x1a\0\0\0\0\0\0\0\x32\0\0\0\x5b\x03\0\0\x01\0\0\x0f\0\
\0\0\0\x1c\0\0\0\0\0\0\0\x0d\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\
\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\
\x70\x5f\x66\x6c\x61\x67\x73\0\x65\x76\x65\x6e\x74\x73\0\x6d\x61\x78\x5f\x65\
\x6e\x74\x72\x69\x65\x73\0\x70\x72\x65\x76\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\
\0\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x6f\x6e\
\x5f\x73\x77\x69\x74\x63\x68\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x63\x68\x65\x64\
\x5f\x73\x77\x69\x74\x63\x68\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x36\x2e\x30\x2d\x62\x75\x69\x6c\x64\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x6e\
\x65\x78\x74\x2d\x32\x30\x32\x35\x30\x37\x31\x36\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x36\x2e\x30\x2d\x30\x2e\x30\x2e\x6e\x65\x78\x74\x2e\x32\x30\x32\
\x35\x30\x37\x31\x36\x2e\x32\x35\x33\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\
\x63\x34\x32\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\
\x65\x72\x66\x2f\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\
\x70\x65\x72\x66\x5f\x6c\x65\x61\x64\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x09\x5f\
\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\
\x09\x5f\x5f\x75\x33\x32\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x70\x72\
\x65\x76\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x70\x72\x65\x76\x5f\x72\x65\x61\
\x64\x69\x6e\x67\x73\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\
\x21\x70\x72\x65\x76\x5f\x76\x61\x6c\x29\0\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\
\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x64\x69\x66\x66\x5f\
\x76\x61\x6c\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x70\x65\x72\x66\
\x5f\x65\x76\x65\x6e\x74\x5f\x72\x65\x61\x64\x5f\x76\x61\x6c\x75\x65\x28\x26\
\x65\x76\x65\x6e\x74\x73\x2c\x20\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x29\x3b\0\x09\x69\x66\x20\x28\x65\
\x72\x72\x29\0\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\
\x65\x72\x20\x3d\x20\x76\x61\x6c\x2e\x63\x6f\x75\x6e\x74\x65\x72\x20\x2d\x20\
\x70\x72\x65\x76\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\x65\x72\x3b\0\x09\
\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\x61\x62\x6c\x65\x64\x20\x3d\
\x20\x76\x61\x6c\x2e\x65\x6e\x61\x62\x6c\x65\x64\x20\x2d\x20\x70\x72\x65\x76\
\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\x61\x62\x6c\x65\x64\x3b\0\x09\x64\x69\x66\x66\
\x5f\x76\x61\x6c\x2d\x3e\x72\x75\x6e\x6e\x69\x6e\x67\x20\x3d\x20\x76\x61\x6c\
\x2e\x72\x75\x6e\x6e\x69\x6e\x67\x20\x2d\x20\x70\x72\x65\x76\x5f\x76\x61\x6c\
\x2d\x3e\x72\x75\x6e\x6e\x69\x6e\x67\x3b\0\x09\x2a\x70\x72\x65\x76\x5f\x76\x61\
\x6c\x20\x3d\x20\x76\x61\x6c\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x6f\x6e\x5f\x73\x77\x69\x74\x63\x68\x29\0\x63\x68\x61\x72\0\x62\x70\
\x66\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x70\x65\x72\x66\x5f\x76\x65\x72\
\x73\x69\x6f\x6e\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2e\x6d\x61\x70\x73\0\x2e\x72\
\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\x01\0\0\x90\x01\0\0\0\0\0\0\x08\0\0\0\x8c\0\0\
\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\0\0\x8c\0\0\0\x17\0\0\0\0\0\0\0\xa0\0\0\0\
\x43\x01\0\0\x0e\x80\0\0\x18\0\0\0\xa0\0\0\0\x6c\x01\0\0\x08\x84\0\0\x30\0\0\0\
\xa0\0\0\0\x7d\x01\0\0\x0d\x90\0\0\x50\0\0\0\xa0\0\0\0\xb5\x01\0\0\x06\x94\0\0\
\x68\0\0\0\xa0\0\0\0\xc5\x01\0\0\x0d\xa0\0\0\x88\0\0\0\xa0\0\0\0\xfd\x01\0\0\
\x06\xa4\0\0\x90\0\0\0\xa0\0\0\0\x0d\x02\0\0\x2b\xb0\0\0\xa8\0\0\0\xa0\0\0\0\
\x0d\x02\0\0\x08\xb0\0\0\xc8\0\0\0\xa0\0\0\0\x50\x02\0\0\x06\xb4\0\0\xd0\0\0\0\
\xa0\0\0\0\x5a\x02\0\0\x2e\xc0\0\0\xd8\0\0\0\xa0\0\0\0\x5a\x02\0\0\x1a\xc0\0\0\
\xe0\0\0\0\xa0\0\0\0\x5a\x02\0\0\x22\xc0\0\0\xe8\0\0\0\xa0\0\0\0\x5a\x02\0\0\
\x14\xc0\0\0\xf0\0\0\0\xa0\0\0\0\x90\x02\0\0\x2e\xc4\0\0\xf8\0\0\0\xa0\0\0\0\
\x90\x02\0\0\x1a\xc4\0\0\0\x01\0\0\xa0\0\0\0\x90\x02\0\0\x22\xc4\0\0\x08\x01\0\
\0\xa0\0\0\0\x90\x02\0\0\x14\xc4\0\0\x10\x01\0\0\xa0\0\0\0\xc6\x02\0\0\x2e\xc8\
\0\0\x18\x01\0\0\xa0\0\0\0\xc6\x02\0\0\x1a\xc8\0\0\x20\x01\0\0\xa0\0\0\0\xc6\
\x02\0\0\x22\xc8\0\0\x28\x01\0\0\xa0\0\0\0\xc6\x02\0\0\x14\xc8\0\0\x30\x01\0\0\
\xa0\0\0\0\xfc\x02\0\0\x0e\xcc\0\0\x60\x01\0\0\xa0\0\0\0\x0e\x03\0\0\x05\x74\0\
\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x70\x01\0\0\0\0\0\0\x15\x01\0\0\x05\0\x08\0\x9b\0\0\0\x08\x01\x01\
\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x01\x01\x1f\x05\0\0\0\0\x82\0\
\0\0\x92\0\0\0\xab\0\0\0\xbc\0\0\0\x03\x01\x1f\x02\x0f\x05\x1e\x05\x39\x01\0\0\
\0\x1d\x15\xb5\x4c\xcc\xc3\x21\xf0\x28\x6f\x97\x52\x05\x6f\xc7\x3b\x5a\x01\0\0\
\x01\x55\xa9\x21\x74\x9a\x5d\x6f\x2f\x87\x0b\x31\x20\x45\x8d\x11\xd3\x69\x01\0\
\0\x02\xb8\x10\xf2\x70\x73\x3e\x10\x63\x19\xb6\x7e\xf5\x12\xc6\x24\x6e\x74\x01\
\0\0\x03\xa5\xa8\xa4\xf9\x34\xaa\x57\x11\xde\xc2\x3f\xec\x64\x5c\x40\x01\x86\
\x01\0\0\x04\x12\x41\xbf\xf5\x8c\xf6\x42\x73\xdb\x24\x55\x2b\xb3\xaf\x43\x8e\
\x04\0\x05\x0e\x0a\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1f\x01\x06\x03\x60\x2e\x05\
\x08\x06\x03\x21\x20\x05\x0d\x3f\x05\x06\x4b\x06\x03\x5b\x20\x05\x0d\x06\x03\
\x28\x2e\x05\x06\x4b\x05\x2b\x23\x05\x08\x06\x3c\x05\x06\x06\x4b\x05\x2e\x23\
\x05\x1a\x06\x20\x05\x22\x20\x05\x14\x20\x05\x2e\x06\x21\x05\x1a\x06\x20\x05\
\x22\x20\x05\x14\x20\x05\x2e\x06\x21\x05\x1a\x06\x20\x05\x22\x20\x05\x14\x20\
\x05\x0e\x06\x21\x05\x05\x03\x6a\x66\x02\x02\0\x01\x01\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x36\x2e\x31\x36\x2e\x30\x2d\x62\x75\x69\x6c\x64\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x6e\x65\x78\x74\x2d\x32\x30\x32\x35\x30\x37\x31\x36\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x36\x2e\x30\x2d\x30\x2e\x30\x2e\x6e\x65\
\x78\x74\x2e\x32\x30\x32\x35\x30\x37\x31\x36\x2e\x32\x35\x33\x2e\x76\x61\x6e\
\x69\x6c\x6c\x61\x2e\x66\x63\x34\x32\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x2e\x2f\x75\x74\x69\x6c\x2f\x62\x70\x66\
\x5f\x73\x6b\x65\x6c\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x61\
\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\
\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x36\x2e\x30\x2d\x62\x75\x69\x6c\x64\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x6e\
\x65\x78\x74\x2d\x32\x30\x32\x35\x30\x37\x31\x36\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x36\x2e\x30\x2d\x30\x2e\x30\x2e\x6e\x65\x78\x74\x2e\x32\x30\x32\
\x35\x30\x37\x31\x36\x2e\x32\x35\x33\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\
\x63\x34\x32\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\0\x75\x74\
\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x6c\
\x65\x61\x64\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x70\x65\x72\x66\x5f\x76\x65\x72\
\x73\x69\x6f\x6e\x2e\x68\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\x2e\x68\0\x62\x70\
\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\0\x69\x6e\x63\x6c\
\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\x62\x70\x66\x2e\
\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x70\x01\0\0\0\0\0\0\x56\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x64\0\0\0\x11\0\x07\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x32\0\0\0\x11\0\x07\
\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xad\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x32\
\0\0\0\0\0\0\0\x54\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xa8\0\0\
\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\x04\0\0\0\x11\0\0\0\
\0\0\0\0\x03\0\0\0\x05\0\0\0\x15\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x1f\0\0\0\0\
\0\0\0\x03\0\0\0\x07\0\0\0\x23\0\0\0\0\0\0\0\x03\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x03\0\0\0\x06\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\
\0\x03\0\0\0\x06\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x1c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x20\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x24\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x28\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x2c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x30\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x34\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x38\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x3c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x40\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x44\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x4c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x54\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x58\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x5c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x60\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x64\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x68\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x6c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x70\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x74\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x78\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x7c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x84\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x88\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x8c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x90\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x94\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x98\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x0f\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x10\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x0e\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x0c\0\0\0\x28\0\0\0\0\0\0\0\x02\0\0\0\x0d\0\0\0\x30\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\x88\x02\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x94\x02\0\0\0\0\0\
\0\x04\0\0\0\x0c\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\xb8\x02\0\0\0\0\
\0\0\x03\0\0\0\x0f\0\0\0\xd0\x02\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x2c\0\0\0\0\0\
\0\0\x04\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xd0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xf0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x10\x01\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x30\x01\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\x01\0\0\0\0\
\0\0\x04\0\0\0\x02\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\x01\0\0\0\
\0\0\0\x04\0\0\0\x02\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\x01\0\0\
\0\0\0\0\x04\0\0\0\x02\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x14\0\0\0\
\0\0\0\0\x03\0\0\0\x08\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x22\0\0\0\0\
\0\0\0\x03\0\0\0\x0a\0\0\0\x26\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x2a\0\0\0\0\0\
\0\0\x03\0\0\0\x0a\0\0\0\x2e\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x32\0\0\0\0\0\0\
\0\x03\0\0\0\x0a\0\0\0\x3e\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x53\0\0\0\0\0\0\0\
\x03\0\0\0\x0a\0\0\0\x68\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x7d\0\0\0\0\0\0\0\
\x03\0\0\0\x0a\0\0\0\x92\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\xaf\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\x0b\x0f\x10\x0e\x0c\x0d\0\x2e\x64\x65\x62\x75\x67\x5f\x61\
\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x6f\x63\x6c\x69\x73\x74\x73\
\0\x65\x76\x65\x6e\x74\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x73\
\x74\x72\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x2e\x6d\x61\x70\x73\0\x70\x72\x65\
\x76\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x64\x69\x66\x66\x5f\x72\x65\x61\x64\
\x69\x6e\x67\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x64\x65\x62\
\x75\x67\x5f\x6c\x69\x6e\x65\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\
\x75\x67\x5f\x61\x64\x64\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\
\x6e\x66\x6f\0\x62\x70\x66\x5f\x6d\x65\x74\x61\x64\x61\x74\x61\x5f\x70\x65\x72\
\x66\x5f\x76\x65\x72\x73\x69\x6f\x6e\0\x6f\x6e\x5f\x73\x77\x69\x74\x63\x68\0\
\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x63\x68\x65\x64\x5f\x73\x77\
\x69\x74\x63\x68\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x62\x70\x65\x72\x66\x5f\x6c\x65\x61\x64\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x2e\
\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\x4e\x53\x45\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x01\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\x1b\0\0\0\0\0\0\x5c\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd5\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd1\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x15\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1b\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x43\x01\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\
\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe2\x01\0\0\0\0\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x3a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x8a\x02\0\0\0\0\0\0\x51\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x03\0\0\
\0\0\0\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x16\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\x1b\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3d\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x06\0\0\0\0\0\0\x9c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x16\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x1b\0\0\
\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\x30\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x17\x07\0\0\0\0\0\0\x44\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x91\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x5b\x09\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc8\x18\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x1b\0\0\0\x0f\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x4f\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\
\x09\0\0\0\0\0\0\x3b\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x4b\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x19\0\0\0\
\0\0\0\x50\0\0\0\0\0\0\0\x1b\0\0\0\x11\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0f\0\0\0\0\0\0\xb0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x19\0\0\0\0\0\0\x80\x01\0\0\0\
\0\0\0\x1b\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x13\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x11\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x1a\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x1b\0\0\0\x15\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x03\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xa8\x11\0\0\0\0\0\0\x19\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x1b\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x1b\0\0\0\x17\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x7d\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc1\x12\0\0\0\0\0\0\x9f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\xe9\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x1b\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x3b\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x14\0\0\0\0\
\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bperf_leader_bpf *bperf_leader_bpf::open(const struct bpf_object_open_opts *opts) { return bperf_leader_bpf__open_opts(opts); }
struct bperf_leader_bpf *bperf_leader_bpf::open_and_load() { return bperf_leader_bpf__open_and_load(); }
int bperf_leader_bpf::load(struct bperf_leader_bpf *skel) { return bperf_leader_bpf__load(skel); }
int bperf_leader_bpf::attach(struct bperf_leader_bpf *skel) { return bperf_leader_bpf__attach(skel); }
void bperf_leader_bpf::detach(struct bperf_leader_bpf *skel) { bperf_leader_bpf__detach(skel); }
void bperf_leader_bpf::destroy(struct bperf_leader_bpf *skel) { bperf_leader_bpf__destroy(skel); }
const void *bperf_leader_bpf::elf_bytes(size_t *sz) { return bperf_leader_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bperf_leader_bpf__assert(struct bperf_leader_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->bpf_metadata_perf_version) == 50, "unexpected size of 'bpf_metadata_perf_version'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPERF_LEADER_BPF_SKEL_H__ */
